import { Renderer } from "@angular/core";
import { ModalContainerDirective } from "./modal.directive";
import { Observable } from "rxjs";
import { DocumentRef } from '../document-ref/document-ref.service';
export declare class ModalComponent {
    private doc;
    private renderer;
    modalContainerHost: ModalContainerDirective;
    id: string;
    title: string;
    width: string;
    backdropCloseable: boolean;
    beforeHidden: () => boolean | Promise<boolean> | Observable<boolean>;
    constructor(doc: DocumentRef, renderer: Renderer);
    onHidden(): void;
    canHideModel(): Promise<boolean>;
    onModalClick: ($event: any) => void;
    hide(): void;
    show(): void;
}
